Bug 1317282 - Review Request: bspwm - A tiling window manager based on binary space partitioning
Review Request: bspwm - A tiling window manager based on binary space partiti...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-13 14:07 EDT by Oles Pidgornyy
Modified: 2016-09-17 18:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-17 18:48:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Oles Pidgornyy 2016-03-13 14:07:34 EDT
Spec URL: https://pidgornyy.fedorapeople.org/review/bspwm.spec

SRPM URL: https://pidgornyy.fedorapeople.org/review/bspwm-0.9-1.fc23.src.rpm

Description:
bspwm is a tiling window manager that represents windows as the leaves of a full binary tree.
It only responds to X events, and the messages it receives on a dedicated socket.
bspc is a program that writes messages on bspwm's socket.
bspwm doesn't handle any keyboard or pointer inputs: a third party program (e.g. sxhkd) is needed in order to translate keyboard and pointer events to bspc invocations.

Fedora Account System Username: pidgornyy
Comment 1 Oles Pidgornyy 2016-03-13 14:40:24 EDT
This is my first submit, I am new to packaging and need a sponsor. :)
Please also add me to the FAS packager group.

The SRPM builds successfully in Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=13335208
Comment 2 Volker Fröhlich 2016-03-14 20:35:13 EDT
Fedora compiler flags are not used and the build is not verbose.

The license file is not included, see https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines

Desktop files must be validated: https://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage
Comment 3 Oles Pidgornyy 2016-03-14 22:43:26 EDT
Thank you for your suggestions, Volker.

I have changed my spec file accordingly. Unfortunately, the 0.9 upstream release 1) does not comply with freedesktop specifications and 2) fails to compile when building with the Fedora CFLAGS.

However, both issues are fixed in the current git branch. Since I don't want to build the package of the git branch for stability's sake, I have asked the upstream developer to release an update (0.9.1 or 1.0).

I will comment again when upstream responds or when there is any other progress. Thanks again for your help.
Comment 4 Oles Pidgornyy 2016-03-15 12:32:03 EDT
I have contacted upstream and the developer has released bspwm-0.9.1, which fixes the problems mentioned in my previous comment.

Spec URL: https://pidgornyy.fedorapeople.org/review/bspwm/0.9.1-1/bspwm.spec

SRPM URL: https://pidgornyy.fedorapeople.org/review/bspwm/0.9.1-1/bspwm-0.9.1-1.fc23.src.rpm

- Updated to 0.9.1
- I have added the CFLAGS to make
- The build process is now verbose
- I have changed the commit message to begin with a capital letter, as that is the style I have found in many existing Fedora spec files
- $RPM_BUILD_ROOT has been replaced with %{buildroot} for consistency
- debuginfo is not ignored anymore

I have no rpmlint complains except for spelling.

The SRPM builds successfully in Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=13355149
Comment 5 Oles Pidgornyy 2016-03-15 12:42:28 EDT
Some additional changes which I forgot to mention:

- The desktop file is now being validated
- The license is now included
Comment 6 Oles Pidgornyy 2016-03-21 14:57:10 EDT
Any progress on this, Volker?

The rpmlint output can be found here, by the way:
https://paste.fedoraproject.org/343345/raw/
Comment 7 Tom "spot" Callaway 2016-07-08 10:09:57 EDT
Sorry for the delay!

You don't need to rm -rf %{buildroot} at the beginning of %install, that's done by default on every version of RPM (except the one in RHEL 5).

Otherwise, your package is clean. Please fix that before you commit.

== REVIEW ==

Good:

- rpmlint checks return:
bspwm.src: W: spelling-error %description -l en_US bspc -> tbsp
bspwm.src: W: spelling-error %description -l en_US sxhkd 
bspwm.x86_64: W: spelling-error %description -l en_US sxhkd

All safe to ignore.

- package meets naming guidelines
- package meets packaging guidelines
- license (BSD) OK, text in %license, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on Fedora 24 (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- .desktop file properly handled
Comment 8 Tom "spot" Callaway 2016-07-08 10:11:17 EDT
I've also just sponsored you into the packager group. Remember, with great power comes great responsibility.

You can continue your journey from this step:
https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner
Comment 9 Gwyn Ciesla 2016-07-28 13:04:48 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/bspwm
Comment 10 Igor Gnatenko 2016-08-14 11:46:15 EDT
ping?
Comment 11 Oles Pidgornyy 2016-09-17 18:48:45 EDT
pong.

Package is up for Rawhide and F25: https://apps.fedoraproject.org/packages/bspwm

Sorry it took so long, I pong-ed Igor over private message but forgot to close the needinfo here at Bugzilla.

Closing this as NEXTRELEASE, bspwm is going to be available in Fedora 25 and up.

Note You need to log in before you can comment on or make changes to this bug.